<template>
  <MdDialogAlert
    style="z-index: 100"
    :md-active.sync="active"
    :md-title="$store.state.modals.alert && $store.state.modals.alert.title"
    :md-content="$store.state.modals.alert && $store.state.modals.alert.message"
    :md-confirm-text="$store.state.modals.alert && $store.state.modals.alert.okText"
  />
</template>
<script>
import Vue from "vue";
import { MdDialogAlert } from "vue-material/dist/components";
import jsLog from "js-logger";

const log = jsLog.get("modals");
/* eslint-disable no-debugger */
Vue.use(MdDialogAlert);

export default {
  computed: {
    active: {
      get() {
        return (
          this.$store.state.modals.alert &&
          !!this.$store.state.modals.alert.message
        );
      },
      /* async set(active) {
          if (!active) {
            log.info('alert-confirm');
            const { resolve } = this.$store.state.modals.alert;
            this.$store.dispatch('modalsClose');
            await new Promise(res => setTimeout(res));
            resolve();
          }
        } */
    },
  },
};
</script>
<style>
</style>
